Package com.logicaldoc.core.searchengine.saved

# Class HibernateSearchDAO

java.lang.Object
com.logicaldoc.core.HibernatePersistentObjectDAO<SavedSearch>
com.logicaldoc.core.searchengine.saved.HibernateSearchDAO

All Implemented Interfaces:
  `PersistentObjectDAO<SavedSearch>`, `SearchDAO`

@Repository("searchDAO") public class HibernateSearchDAO extends HibernatePersistentObjectDAO<SavedSearch> implements SearchDAO
Hibernate implementation of `SearchDAO`

Since:
  8.6.1
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from interface com.logicaldoc.core.PersistentObjectDAO

`ENTITY`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(long id, int code)`
This method deletes an entity and you can give a deletion code
`List<SavedSearch>`
`findByUserId(long userId)`
Gets all the searches of a given user ordered by name asc
`SavedSearch`
`findByUserIdAndName(long userId, String name)`
Gets the search using the alternate key
`void`
`store(SavedSearch search)`
This method persists the entity object

### Methods inherited from class com.logicaldoc.core.HibernatePersistentObjectDAO

`bulkUpdate, count, deleteAll, evict, evict, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findIdsByWhere, getDatabaseMetadata, initialize, jdbcUpdate, jdbcUpdate, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString, setSessionFactory`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.logicaldoc.core.PersistentObjectDAO

`bulkUpdate, count, count, count, delete, deleteAll, deleteAll, evict, evict, findAll, findAll, findAllIds, findAllIds, findById, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findByWhere, findIdsByWhere, findIdsByWhere, getDatabaseMetadata, getDbms, initialize, initialize, isMariaDB, isMySQL, isOracle, isPostgreSQL, isSQLServer, jdbcUpdate, jdbcUpdate, query, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString`

## Method Details

### findByUserId

public List<SavedSearch> findByUserId(long userId) throws PersistenceException
Description copied from interface: `SearchDAO`
Gets all the searches of a given user ordered by name asc

Specified by:
  `findByUserId` in interface `SearchDAO`
Parameters:
  `userId` - Identifier of the user
Returns:
  orderer list of searches
Throws:
  `PersistenceException` - Error in the database

### findByUserIdAndName

public SavedSearch findByUserIdAndName(long userId, String name) throws PersistenceException
Description copied from interface: `SearchDAO`
Gets the search using the alternate key

Specified by:
  `findByUserIdAndName` in interface `SearchDAO`
Parameters:
  `userId` - Identifier of the user
  `name` - The name of the search
Returns:
  the found search gridRecord, if any
Throws:
  `PersistenceException` - Error in the database

### delete

public void delete(long id, int code) throws PersistenceException
Description copied from interface: `PersistentObjectDAO`
This method deletes an entity and you can give a deletion code

Specified by:
  `delete` in interface `PersistentObjectDAO<SavedSearch>`
Overrides:
  `delete` in class `HibernatePersistentObjectDAO<SavedSearch>`
Parameters:
  `id` - ID of the entity which should be deleted
  `code` - Deletion code
Throws:
  `PersistenceException` - raised in case of errors in the database

### store

public void store(SavedSearch search) throws PersistenceException
Description copied from interface: `PersistentObjectDAO`
This method persists the entity object

Specified by:
  `store` in interface `PersistentObjectDAO<SavedSearch>`
Overrides:
  `store` in class `HibernatePersistentObjectDAO<SavedSearch>`
Parameters:
  `search` - entity to be stored
Throws:
  `PersistenceException` - raised in case of errors in the database